# pixel.h File Reference

`#include <magick/colorspace.h>`
`#include <magick/constitute.h>`

Go to the source code of this file.

## Data Structures

struct | _LongPixelPacket
struct | _MagickPixelPacket
struct | _PixelPacket

## Typedefs

typedef struct _LongPixelPacket | LongPixelPacket
typedef struct _MagickPixelPacket | MagickPixelPacket
typedef Quantum | IndexPacket
typedef struct _PixelPacket | PixelPacket

## Functions

MagickExport MagickBooleanType | ExportImagePixels (const Image *, const long, const long, const unsigned long, const unsigned long, const char *, const StorageType, void *, ExceptionInfo *)
MagickExport MagickBooleanType | ImportImagePixels (Image *, const long, const long, const unsigned long, const unsigned long, const char *, const StorageType, const void *)
MagickExport void | GetMagickPixelPacket (const Image *, MagickPixelPacket *)

## Typedef Documentation

typedef Quantum IndexPacket

typedef struct _LongPixelPacket LongPixelPacket

typedef struct _MagickPixelPacket MagickPixelPacket

typedef struct _PixelPacket PixelPacket

## Function Documentation

MagickExport MagickBooleanType ExportImagePixels | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const char * | ,
|  | const | StorageType,
|  | void * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void GetMagickPixelPacket | ( | const Image * | ,
|  | MagickPixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType ImportImagePixels | ( | Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const char * | ,
|  | const | StorageType,
|  | const void * |  |
| ) |  |  |